/***********************************************************************************
	CExpanderPane.h

	Copyright  1994 B-Ray Software. All rights reserved.
	Developed using Symantec C++ 7.0.2 and Symantec's TCL library.
	Portions of this code courtesy Symantec, Inc.

	This code may be freely distributed as long as this notice remains. This code
	may not be used in any commercial software without the consent of B-Ray Software.

	---

	Header for the CExpanderPane class.

***********************************************************************************/
#pragma once

#include <CColumnizer.h>
#include <CPane.h>


class CExpanderPane : public CPane, public CColumnizer {

TCL_DECLARE_CLASS

private:
	Boolean			selected;	// represents state of pane selection
	Boolean			canSelect;	// if TRUE, pane can be selected

protected:
	virtual void	ChangeSelf( long changedIndex, Rect *delta );
	virtual void	HiliteSelf( Boolean state );

public:

	CExpanderPane();
	CExpanderPane( CView *anEnclosure, CBureaucrat *aSupervisor, short aWidth = 0,
				   short aHeight = 0, short aHLoc = 0, short aVLoc = 0, SizingOption aHSizing = sizFIXEDSTICKY,
				   SizingOption aVSizing = sizFIXEDSTICKY );
	virtual ~CExpanderPane();

	virtual void	SetExpanderSize( short aWidth, short aHeight );

	virtual CPane	*ChildToPane( void ) { return this; };
	virtual CFamily	*PaneToChild( void ) { return this; };

	virtual void	SetSelectedState( Boolean aFlag );
	virtual Boolean	IsSelected( void )				{ return selected; };

	virtual void	SetCanSelect( Boolean aFlag )	{ canSelect = aFlag; };
	virtual Boolean	CanSelect( void )				{ return canSelect; };

	virtual void	DoClick( Point hitPt, short modifierKeys, long when );

	virtual void	ChildMessage( CFamily *aChild, long message, void *param );
	virtual void	ParentMessage( long message, void *param );

	virtual void	PutTo( CStream &stream );
	virtual void	GetFrom( CStream &stream );

	friend CStream& operator << ( CStream& s, CExpanderPane* p )
		{ return PutObject( s, p ); }
	friend CStream& operator >> ( CStream& s, CExpanderPane*& p )
		{ return GetObject( s, p ); }
};
