/***********************************************************************************
	CRowColumnMgr.h

	Copyright  1994 B-Ray Software. All rights reserved.
	Developed using Symantec C++ 7.0.2 and Symantec's TCL library.
	Portions of this code courtesy Symantec, Inc.

	This code may be freely distributed as long as this notice remains. This code
	may not be used in any commercial software without the consent of B-Ray Software.

	---

	Header file for CRowColumnMgr class

***********************************************************************************/
#pragma once


#include <CPane.h>

#include "CFamily.h"


class CRowColumnMgr : public CFamily {

TCL_DECLARE_CLASS

private:
	virtual void	AdjustForChildChange( long changedIndex, Rect *delta );
	virtual void	AdjustChildren( long changedIndex, Rect *delta );
	virtual void	MakeChildrenValid( long changedIndex );

protected:
	virtual void	ChangeSelf( long changedIndex, Rect *delta ) = 0;
	virtual void	PositionChild( CPane *aChild, long index ) = 0;
	virtual void	AdjustDelta( Rect *delta ) = 0;

	virtual void	ChildMessage( CFamily *aChild, long message, void *param );

public:

	virtual void	InsertChildAt( CFamily *aChild, long index );
	virtual void	RemoveChild( CFamily *aChild );
};


#define kRowColChildChanged				'RcCC'

