/***********************************************************************************
	CRowizer.h

	Copyright  1994 B-Ray Software. All rights reserved.
	Developed using Symantec C++ 7.0 and Symantec's TCL library.
	Portions of this code courtesy Symantec, Inc.

	This code may be freely distributed as long as this notice remains. The code
	may not be used in any commercial software without the consent of B-Ray Software.

	---

	The Rowizer class provides horizontal position management for child panes
	of a particular parent. This class simply defines 3 functions that are
	pure virtual in the RowColumnMgr class. These functions work with with horizontal
	values, compared to the Columnizer class which works with verticalal values -- 
	that is the only difference between the two.

***********************************************************************************/

#pragma once


#include "CRowColumnMgr.h"


class CRowizer : public CRowColumnMgr {

TCL_DECLARE_CLASS

protected:
	virtual void	PositionChild( CPane *aPane, long index );
	virtual void	AdjustDelta( Rect *delta );

public:

	virtual void	GetFamilySize( short *aWidth, short *aHeight );
};
